<%@ Page %>
<%@ Register TagPrefix="CH" Namespace="ActiproSoftware.CodeHighlighter" Assembly="ActiproSoftware.CodeHighlighter.Net20" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
<head>
	<title>Actipro Code Highlighter</title>
	<link rel="stylesheet" href="Style.css" type="text/css" />
</head>
<script language="VB" runat="server">

	Private Sub CodeHighlighter_PostRender(sender As Object, e As EventArgs)
		'This is only done so that the textbox at the bottom of the page can
		'display the HTML source code
		OutputTextBox.Text = Highlighter.Output
	End Sub

	Private Sub HighlightButton_Click(sender As Object, e As EventArgs)
		'Disable the button
		HighlightButton.Enabled = False
		
		'Update labels
		FileNameLabel.Text = UploadFile.PostedFile.FileName
		MimeTypeLabel.Text = UploadFile.PostedFile.ContentType
		FileSizeLabel.Text = UploadFile.PostedFile.ContentLength.ToString()
		OutputTextBox.Text = Nothing
		
		If (UploadFile.PostedFile.ContentLength > 30000) Then
			'If the code is too long, show an error
			Highlighter.LanguageKey = Nothing
			Highlighter.Text = "Error: There is a 30,000 character limit on the code file size that can be uploaded."			
		Else
			'Set the language key
			Highlighter.LanguageKey = LanguageDropDownList.SelectedItem.Text
				
			'Set whether to allow outlining and line numbering
			Highlighter.OutliningEnabled = OutliningEnabledCheckBox.Checked
			Highlighter.LineNumberMarginVisible = LineNumberMarginVisibleCheckBox.Checked
				
			'Set the code to the highlighter
			Dim reader As New System.IO.StreamReader(UploadFile.PostedFile.InputStream)
			Highlighter.Text = reader.ReadToEnd
		End If
		
		'Show the results panel
		ResultsPanel.Visible = True
	End Sub
	
	Private Sub Page_Load(sender As Object, e As EventArgs)
		Dim key As String
		
		If Not Me.IsPostBack Then
			Dim config As CodeHighlighterConfiguration = CType(ConfigurationManager.GetSection("codeHighlighter"), CodeHighlighterConfiguration)
			Dim keys(config.LanguageConfigs.Keys.Count - 1) As String
			config.LanguageConfigs.Keys.CopyTo(keys, 0)
			Array.Sort(keys)
			For Each key In keys
				LanguageDropDownList.Items.Add(key)
			Next key
			LanguageDropDownList.SelectedIndex = LanguageDropDownList.Items.IndexOf(LanguageDropDownList.Items.FindByText("C#"))
		End If
	End Sub

</script>
<body>

<form id="ServerForm" runat="server" EncType="multipart/form-data">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td class="Spacer"><img src="Images/ContentBG.gif"/></td>
		<td>
			<br/>
			<div><img src="Images/Logo.gif" hspace="3" vspace="3"/></div>
			<hr/>
			<div class="Indent">
				<a href="Readme.html">Readme</a> |
				<a href="EULA.html">EULA</a> |
				<a href="InlineCode.aspx">Inline Code Sample</a> |
				<a href="PasteCode.aspx">Paste Code Sample</a> |
				<a href="UploadCodeFile.aspx">Upload Code File Sample</a> |
				<a href="http://www.CodeHighlighter.com/" target="_blank">Home Page</a> |
				<a href="http://www.ActiproSoftware.com/Products/DotNet/" target="_blank">Actipro Software</a>
			</div>
			<hr/>

			<h2>Upload Code File Sample</h2>
			<p>
				This page allows you to upload a text code file and syntax highlight it.
				Please choose a language and pick a code file to syntax highlight.
			</p>	
			<div>
				<table cellpadding="3" cellspacing="0" border="0">
					<tr>
						<th align="right">Language:</th>
						<td><asp:DropDownList Runat="server" ID="LanguageDropDownList"/></td>
					</tr>
					<tr>
						<th align="right">Code File:</th>
						<td><input id="UploadFile" type="file" runat="server" NAME="UploadFile"></td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td>
							<asp:CheckBox Runat="server" ID="OutliningEnabledCheckBox" Checked="True" />
							Enable outlining (IE/Firefox only)
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td>
							<asp:CheckBox Runat="server" ID="LineNumberMarginVisibleCheckBox" Checked="True" />
							Enable line numbering
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td><asp:Button Runat="server" ID="HighlightButton" Text="Syntax Highlight" OnClick="HighlightButton_Click"/></td>
					</tr>
				</table>
			</div>
			
			<asp:Panel Runat="server" ID="ResultsPanel" Visible="False">
				<h2>HTML Output of Syntax Highlighted Code</h2>
				<div>
					<table cellpadding="3" cellspacing="0" border="0">
						<tr>
							<th align="right">File Name:</th>
							<td><asp:Label Runat="server" ID="FileNameLabel"/></td>
						</tr>
						<tr>
							<th align="right">Mime Type:</th>
							<td><asp:Label Runat="server" ID="MimeTypeLabel"/></td>
						</tr>
						<tr>
							<th align="right">File Size:</th>
							<td><asp:Label Runat="server" ID="FileSizeLabel"/></td>
						</tr>
					</table>
				</div>
				<p>The code below has been highlighted using the selected language:</p>
				<div class="Indent">
					<pre><CH:CodeHighlighter runat="server" ID="Highlighter" OnPostRender="CodeHighlighter_PostRender" /></pre>	
				</div>
				
				<h2>HTML Source of Syntax Highlighted Code</h2>
				<p>This is the code that was generated by the highlighting engine:</p>
				<div class="Indent">
					<asp:TextBox Runat="server" ID="OutputTextBox" TextMode="MultiLine" Rows="20" Columns="80" ReadOnly="True" />
				</div>				
			</asp:Panel>
	
			<br/>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td class="FooterBar" colspan="3" align="center"><NOBR>
			<a href="http://www.CodeHighlighter.com/" target="_blank">Code Highlighter</a> - Copyright  2004-2008 
			<a href="http://www.ActiproSoftware.com/Products/DotNet/" target="_blank">Actipro Software LLC</a>. All Rights Reserved.
		</NOBR></TD>
	</tr>	
	</table>
</form>

</body>
</html>
